#ifndef _HARK__BEAMFORMING__Fixed_H__INCLUDED_
#define _HARK__BEAMFORMING__Fixed_H__INCLUDED_ 1

#include "BF.h"

namespace BF
{
    class Fixed : public BF
    {
    public:
	Fixed(int numFreq, int samplingRate, double soundSpeed);
	virtual ~Fixed();

    public:
	virtual void updateSources(const std::vector<SourceLocation> &sourcePositions);
	virtual void adaptSeparationMatrices();

    private:

    };
}

#endif
